Package com.xebialabs.deployit.plugin.api.rules

## Enum Scope

- java.lang.Object
- - java.lang.Enum<Scope>
  - - com.xebialabs.deployit.plugin.api.rules.Scope

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Scope>`

      public enum Scope
      extends java.lang.Enum<Scope>

  Please refer to rules manual for explanation of what a scope is.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DEPLOYED` |
    `PLAN` |
    `POST_PLAN` |
    `PRE_PLAN` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Scope` | `getScope​(java.lang.String scopeName)` |
    `java.lang.String` | `getScopeName()` |
    `java.lang.String` | `toString()` |
    `static Scope` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Scope[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEPLOYED

          public static final Scope DEPLOYED

    - #### PLAN

          public static final Scope PLAN

    - #### PRE_PLAN

          public static final Scope PRE_PLAN

    - #### POST_PLAN

          public static final Scope POST_PLAN

  - ### Method Detail

    - #### values

          public static Scope[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Scope c : Scope.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Scope valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getScopeName

          public java.lang.String getScopeName()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<Scope>`

    - #### getScope

          public static Scope getScope​(java.lang.String scopeName)